# class Tk::BWidget::Label

### Constants

TkCommandNames
WidgetClassName

### Public Instance Methods

set_focus() click to toggle source

    # File lib/tkextlib/bwidget/label.rb, line 38
    def set_focus
      tk_send_without_enc('setfocus')
      self
    end

### Private Instance Methods

__boolval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__boolval_optkeys

    # File lib/tkextlib/bwidget/label.rb, line 28
    def __boolval_optkeys
      super() << 'dragenabled' << 'dropenabled'
    end

__strval_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__strval_optkeys

    # File lib/tkextlib/bwidget/label.rb, line 23
    def __strval_optkeys
      super() << 'helptext'
    end

__tkvariable_optkeys() click to toggle source
Calls superclass method TkConfigMethod#__tkvariable_optkeys

    # File lib/tkextlib/bwidget/label.rb, line 33
    def __tkvariable_optkeys
      super() << 'helpvar'
    end